<html><head><meta http-equiv="Content-Type" content="text/html charset=iso-8859-1"></head><body style="word-wrap: break-word; -webkit-nbsp-mode: space; -webkit-line-break: after-white-space; ">Hi Tom,<div><br></div><div>Good news: I got the chimera modules to import!&nbsp;</div><div><br></div><div>I think that you were correct about having an older libfreetype.6.dylib that was being used instead of Chimera's version, probably from my&nbsp;Enthought Python Distribution&nbsp;. &nbsp;Overall I believe that my EPD was making things harder for me. &nbsp;So I removed the EPD from my system, set all of the environment variables per the Chimera IDLE, added ~/Resources/lib and ~/Resources/share to PYTHONPATH, and now I'm in business.</div><div><br></div><div>Thank you for your help and suggestions!</div><div><br></div><div>Jon</div><div><div apple-content-edited="true"><br>

</div>
<br><div><div>On Mar 18, 2013, at 12:49 PM, Tom Goddard &lt;<a href="mailto:goddard@sonic.net">goddard@sonic.net</a>&gt; wrote:</div><br class="Apple-interchange-newline"><blockquote type="cite">
  
    <meta content="text/html; charset=ISO-8859-1" http-equiv="Content-Type">
  
  <div bgcolor="#FFFFFF" text="#000000">
    <div class="moz-cite-prefix">Hi Jon,<br>
      <br>
      &nbsp; Chimera includes the version of libfreetype.6.dylib it needs.&nbsp;
      The error must mean you have another older libfreetype.6.dylib on
      your system that Chimera is getting instead of its own version.&nbsp;
      The first thing would be to try to locate where the other
      libfreetype.6.dylib is.&nbsp; I guess Chimera starts on your machine,
      so somehow it gets the right library.&nbsp; That suggests that you do
      not have the environment variables that control library loading
      setup in the same way as Chimera does.&nbsp; I'd suggest you start
      Chimera, open the IDLE shell window (Tools / General Controls) and
      print all the environment variables seen by the running Chimera
      using for example<br>
      <br>
      &nbsp;&nbsp;&nbsp; import os<br>
      &nbsp;&nbsp;&nbsp; for k,v in&nbsp; os.environ.items():<br>
      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; print k,v<br>
      <br>
      and see if those differ from what you are trying outside Chimera.<br>
      <br>
      &nbsp;&nbsp;&nbsp; Tom<br>
      <br>
      <br>
      <br>
      -------- Original Message --------<br>
      Subject: Re: [Chimera-users] Import Chimera Modules<br>
      From: Jonathan Williams<br>
      To: Tom Goddard <br>
      Date: 3/18/13 8:05 AM<br>
    </div>
    <blockquote cite="mid:47EB7295-9DCE-45B7-BEE2-DF66B6BA7606@iastate.edu" type="cite">
      <meta http-equiv="Content-Type" content="text/html;
        charset=ISO-8859-1">
      Hi Tom,
      <div><br>
      </div>
      <div>Thanks for the response. &nbsp;I set the
        DYLD_FALLBACK_LIBRARY_PATH variable, and I think this took care
        of my original problem. &nbsp;However I have encountered a new error:</div>
      <div><br>
      </div>
      <div>
        <div>ImportError:
          dlopen(/Applications/Chimera.app/Contents/Resources/lib/_chimera.so,
          2): Library not loaded:
          @executable_path/../lib/libfreetype.6.dylib</div>
        <div>&nbsp; Referenced from:
          /Applications/Chimera.app/Contents/Resources/lib/_chimera.dylib</div>
        <div>&nbsp; Reason: Incompatible library version: _chimera.dylib
          requires version 15.0.0 or later, but libfreetype.6.dylib
          provides version 13.0.0</div>
        <div><br>
        </div>
        <div>This seems like I just need to update my FreeType
          libraries, but I have not had a chance to try this yet. &nbsp;If
          you have any other suggestions, those would be appreciated,
          otherwise I'll send an update when I get a chance.</div>
        <div><br>
        </div>
        <div>Thanks again,</div>
        <div><br>
        </div>
        <div>Jon&nbsp;</div>
        <div apple-content-edited="true"><br>
        </div>
        <br>
        <div>
          <div>On Mar 15, 2013, at 7:02 PM, Tom Goddard &lt;<a moz-do-not-send="true" href="mailto:goddard@sonic.net">goddard@sonic.net</a>&gt;
            wrote:</div>
          <br class="Apple-interchange-newline">
          <blockquote type="cite">
            <meta http-equiv="Content-Type" content="text/html;
              charset=ISO-8859-1">
            <div style="word-wrap: break-word; -webkit-nbsp-mode: space;
              -webkit-line-break: after-white-space; ">
              <div>
                <div>Hi Jon,</div>
                <div><br>
                </div>
                <div>Maybe the trick is Chimera uses environment
                  variable DYLD_FALLBACK_LIBRARY_PATH instead of
                  LD_LIBRARY_PATH or DYLD_LIBRARY_PATH. &nbsp;Here's the
                  Chimera Mac start-up C++ code that sets the
                  environment variables</div>
                <div><br>
                </div>
                <div><span class="Apple-tab-span" style="white-space:pre"> </span><a moz-do-not-send="true" href="http://plato.cgl.ucsf.edu/trac/chimera/browser/trunk/dist/mac/chimera-aqua.cpp?rev=36787">http://plato.cgl.ucsf.edu/trac/chimera/browser/trunk/dist/mac/chimera-aqua.cpp?rev=36787</a></div>
                <div><br>
                </div>
                <div>and a comment on this code change says "Use
                  DYLD_FALLBACK_LIBRARY_PATH instead of
                  DYLD_LIBRARY_PATH, so system&nbsp;frameworks will get
                  system versions of shared libraries."</div>
                <div><br>
                </div>
                <div><span class="Apple-tab-span" style="white-space:pre"> </span>Tom</div>
                <div><br>
                </div>
                <div><br>
                </div>
                <div><br>
                </div>
                <div>On Mar 15, 2013, at 2:49 PM, Jonathan Williams
                  wrote:</div>
                <br class="Apple-interchange-newline">
                <blockquote type="cite">
                  <meta http-equiv="Content-Type" content="text/html;
                    charset=ISO-8859-1">
                  <div style="word-wrap: break-word; -webkit-nbsp-mode:
                    space; -webkit-line-break: after-white-space; "><font face="Courier">Hello,</font>
                    <div><font face="Courier"><br>
                      </font></div>
                    <div><font face="Courier">I am currently trying to
                        import Chimera modules into a non-Chimera python
                        installation. &nbsp;I have referenced previous
                        messages from this mailing list (<a moz-do-not-send="true" href="http://www.cgl.ucsf.edu/pipermail/chimera-users/2009-March/003620.html">http://www.cgl.ucsf.edu/pipermail/chimera-users/2009-March/003620.html</a>),
                        and have added the relevant paths to Chimera in
                        the LD_LIBRARY_PATH, PYTHONPATH, and CHIMERA
                        environment variables.</font></div>
                    <div><font face="Courier"><br>
                      </font></div>
                    <div><font face="Courier">However when I try to
                        import Chimera, Midas or "import chimeraInit"
                        followed by "chimeraInit.init([])" I receive the
                        following error:</font></div>
                    <div><font face="Courier"><br>
                      </font></div>
                    <div>
                      <div><font face="Courier">&gt;&gt;&gt; import
                          chimeraInit</font></div>
                      <div><font face="Courier">&gt;&gt;&gt;
                          chimeraInit.init([])</font></div>
                      <div><font face="Courier">Traceback (most recent
                          call last):</font></div>
                      <div><font face="Courier">&nbsp; File "&lt;stdin&gt;",
                          line 1, in &lt;module&gt;</font></div>
                      <div><font face="Courier">&nbsp; File
                          "/Applications/Chimera.app/Contents/Resources/share/chimeraInit.py",
                          line 594, in init</font></div>
                      <div><font face="Courier">&nbsp; &nbsp; import chimera</font></div>
                      <div><font face="Courier">&nbsp; File
                          "/Applications/Chimera.app/Contents/Resources/share/chimera/__init__.py",
                          line 16, in &lt;module&gt;</font></div>
                      <div><font face="Courier">&nbsp; &nbsp; from _chimera import
                          BBox, Camera, Color, ColorGroup,
                          DirectionalLight, LODControl, Lens,
                          LensViewer, Light, Material, MaterialColor,
                          Model, NoGuiViewer, OGLFont, OSLAbbreviation,
                          OpenModels, OpenState, PathFinder, PixelMap,
                          Plane, Point, PositionalLight, Selectable,
                          SharedState, SpotLight, Sphere, Texture,
                          TextureColor, TrackChanges, Vector, Viewer,
                          X3DScene, Xform</font></div>
                      <div><font face="Courier">ImportError:
                          dlopen(/Applications/Chimera.app/Contents/Resources/lib/_chimera.so,
                          2): Symbol not found: __cg_TIFFClientOpen</font></div>
                      <div><font face="Courier">&nbsp; Referenced from:
                          /System/Library/Frameworks/ImageIO.framework/Versions/A/ImageIO</font></div>
                      <div><font face="Courier">&nbsp; Expected in:
                          /Applications/Chimera.app/Contents/Resources/lib/libTIFF.dylib</font></div>
                      <div><font face="Courier">&nbsp;in
                          /System/Library/Frameworks/ImageIO.framework/Versions/A/ImageIO</font></div>
                      <div><font face="Courier">&gt;&gt;&gt;&nbsp;</font></div>
                      <div><font face="Courier"><br>
                        </font></div>
                      <div><font face="Courier">I am using MacOSX
                          10.8.2, Python 2.7.3, and Chimera 1.7 (build
                          38197) for 64bit Mac.</font></div>
                      <div><font face="Courier"><br>
                        </font></div>
                      <div><font face="Courier">Any help or advice would
                          be greatly appreciated,</font></div>
                      <div><font face="Courier"><br>
                        </font></div>
                      <div><font face="Courier">Jon Williams</font></div>
                      <div apple-content-edited="true"><br>
                        <div><br>
                        </div>
                      </div>
                      <br>
                    </div>
                  </div>
                  _______________________________________________<br>
                  Chimera-users mailing list<br>
                  <a moz-do-not-send="true" href="mailto:Chimera-users@cgl.ucsf.edu">Chimera-users@cgl.ucsf.edu</a><br>
                  <a moz-do-not-send="true" href="http://plato.cgl.ucsf.edu/mailman/listinfo/chimera-users">http://plato.cgl.ucsf.edu/mailman/listinfo/chimera-users</a><br>
                </blockquote>
              </div>
              <br>
            </div>
          </blockquote>
        </div>
        <br>
      </div>
    </blockquote>
    <br>
  </div>

</blockquote></div><br></div></body></html>